Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository.sequencer
Class SequencerContext

    java.lang.Object
      org.modeshape.repository.sequencer.SequencerContext

    @NotThreadSafe
    public class SequencerContext

extends Object

The sequencer context represents the complete context of a sequencer invocation, including the execution context (which contains JAAS credentials, namespace mappings, and value factories) and the I/O environment for writing output.

This class is not thread safe due to its use of `a destination`.

Constructor Summary
`SequencerContext(ExecutionContext executionContext, Graph sourceGraph, Graph outputGraph, DateTime timestamp)`

Method Summary
`Destination` | `getDestination()` Returns the I/O environment in which this sequencer context operates
`ExecutionContext` | `getExecutionContext()` Returns the execution context under which this sequencer context operates
`DateTime` | `getTimestamp()` Get the timestamp of the sequencing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequencerContext

    public SequencerContext(ExecutionContext executionContext,
                            Graph sourceGraph,
                            Graph outputGraph,
                            DateTime timestamp)

Method Detail

### getExecutionContext

    public ExecutionContext getExecutionContext()

  Returns the execution context under which this sequencer context operates

  Returns:
    the execution context under which this sequencer context operates

### getTimestamp

    public DateTime getTimestamp()

  Get the timestamp of the sequencing. This is always the timestamp of the change event that is being processed.

  Returns:
    timestamp the "current" timestamp; never null

### getDestination

    public Destination getDestination()

  Returns the I/O environment in which this sequencer context operates

  Returns:
    the I/O environment in which this sequencer context operates

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.